/* global */

body.wp-theme-anvogue select,
select {
    border-color: #949494;
}

/* global */
/* sklep */

.pls-product-actions .pls-cart-button a::before,
.pls-product-icons .pls-cart-button a::before {
    content: none;
    display: none;
}

.products.grid-view.product-style-1 .pls-cart-button {
    text-align: center;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.products.grid-view.product-style-1 .pls-product-actions a {
    width: auto;
    margin: 0 auto;
    padding: 8px 28px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    width: 100% !important;
}

.product-excerpt {
    color: var(--On-Surface, #1F1F1F);
    font-size: 14px;
    font-weight: 400;
    line-height: 1.12;
    margin-bottom: 8px;
}

.product-excerpt p {
    margin: 0;
}

/* .products.grid-view.product-style-1 .pls-product-actions a.added .not-added,
.products.grid-view.product-style-1 .pls-product-actions a .added {
    display: none;
}

.products.grid-view.product-style-1 .pls-product-actions a.added .added {
    display: flex;
} */

.products.grid-view.product-style-1 .pls-product-actions a span {
    font-size: 20px;
    font-weight: 500;
    text-transform: uppercase;
}

.pls-products-view {
    display: none !important;
}

.woocommerce .pls-cart-button a.added_to_cart {
    display: flex !important;
}

.products-count {
    color: var(--pls-heading-color);
    font-size: 14px;
}


.header-filters.mobile-element-sidebar {
    display: none;
}

#secondary .widget_text {
    margin: 0;
    padding: 0;
    border: 0;
}

.widget-products-filter-price__amount {
    margin: 0;
}

.price_slider_wrapper .btn {
    display: none;
}

.filter-submit {
    margin-top: 16px;
}

.item-sidebar-open-cats .pls-header-sidebar-count {
    display: none;
}

.show-more-cats {
    background-color: transparent !important;
    color: #1F1F1F !important;
    padding: 0;
    text-transform: capitalize;
    border-radius: 0;
}

.widget_layered_nav li a::before {
    border: 1px solid #696C70 !important
}

@media (max-width:1024px) {
    .products.grid-view .pls-product-actions a::before {
        display: none;
        content: none
    }

    .products.grid-view.product-style-1 .pls-cart-button {
        text-align: center;
        width: 100%;
    }

    .products.grid-view.product-style-1 .pls-product-actions a {
        font-size: 14px !important;
        border-radius: 6px !important;
        padding: 8px 28px !important;
    }
}

@media (max-width:767px) {
    /* .pls-products-header {
        position: sticky !important;
        top: 0;
        background-color: #fff;
        z-index: 99;
        width: calc(100% + 30px);
        margin-left: -15px;
        padding: 12px 15px;
        transition: top .3s ease;
    }

    header.fixed+div .pls-products-header {
        top: 72px;
    } */

    .pls-products-header-filters-right {
        width: 100%;
    }

    body .pls-products-header-filters {
        flex-wrap: nowrap !important;
        align-items: center !important;
        margin: 0 !important;
    }

    .pls-products-header-filters-left {
        flex-direction: row !important;
    }

    .header-filters.mobile-element-sidebar {
        display: flex;
        align-items: center;
        gap: 16px;
    }

    .filter-submit {
        width: 100%;
        position: sticky;
        bottom: 0;
    }

    .filter-submit .btn {
        width: 100%;
    }

    .widget li.wc-layered-nav-term:not(:last-child) {
        margin-bottom: 0;
    }

    .widget.widget_layered_nav li a {
        padding: 10px 0;
    }

}

@media (max-width:679px) {
    .products .pls-product-image img {
        height: initial !important;
        aspect-ratio: 315 / 365 !important;
    }

    .products.grid-view.product-style-1 .pls-product-actions a {
        width: 100%;
    }
}

/* sklep */

/* blog */

.custom-breadcrumb {
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    gap: 8px;
    width: 100%;
    white-space: nowrap;
    overflow-y: auto;
    padding: 24px 0;
    margin-bottom: 12px;
    font-size: 14px;
}

.custom-breadcrumb a:hover {
    color: #ff8941;
}

/* blog */

/* karta produktu */

#readMoreDescription {
    display: none;
}

.single-product .product-excerpt {
    margin-top: 6px;
}

.single-product .product-excerpt p {
    font-size: 16px;
    font-weight: 500;
}

.my-variation-note {
    display: none;
}

.variation-radios {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 8px;
}

.variations_form {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.variations_form label {
    font-size: 14px;
}

.variation-radios .label {
    margin: 0;
}

.variation-radios .variable-title {
    font-size: 12px;
    font-weight: 400;
    color: #000;
    border-radius: 999px;
    border: 1px solid #1F1F1F;
    background: #FFF;
    padding: 8px;
    transition: background .3s ease;
    position: relative;
    cursor: pointer;
    line-height: 1.4;
}

.variation-radios input {
    display: none !important;
}

.variation-radios input:checked+.variable-title {
    background: #F4A535;
    border-width: 2px;
}

.variations-select {
    display: none;
}

.woocommerce div.summary form.cart .variations>div {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

div.summary form.cart .variations label {
    margin: 0;
    display: flex;
    align-items: center;
    cursor: pointer;
    padding: 4px 0;
}

/* promo-active  */
.promo-active form.variations_form.cart .woocommerce-variation-add-to-cart,
.promo-active form.cart {
    gap: 16px;
}

.promo-active .pls-quantity-label,
.promo-active .cart.needs-more .quantity {
    display: none !important;
}

.promo-active .cart:not(.needs-more) .single_variation_wrap .quantity[style="display: block;"],
.promo-active .cart:not(.needs-more) .single_variation_wrap .quantity {
    display: flex !important;
}

.promo-active .cart.needs-more:not(.variations_form) .button {
    width: 100%;
    display: flex;
    flex: 1 auto;
}

.promo-active .bulk-pricing {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
}

.promo-active .bulk-pricing a {
    color: #1F1F1F;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.68;
    text-decoration-line: underline;
    width: 100%;
    display: flex;
    align-items: center;
}

.promo-active .bulk-pricing-wrapper {
    border-radius: 8px;
    border: 1px solid #000;
}

.promo-active .bulk-pricing-wrapper>label:not(:last-child) {
    border-bottom: 1px solid #000;
}

.promo-active .bulk-pricing-wrapper>label {
    padding: 16px;
}

.promo-active .bulk-item {
    display: flex;
    align-items: center;
    gap: 5px;
    margin: 0;
}

.promo-active .bulk-item-content {
    display: flex;
    align-items: center;
    gap: 5px;
    width: 100%;
    color: var(--On-Surface, #1F1F1F);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.68;
    font-family: "ABCSOCIAL";
}

.promo-active .item-label {
    display: flex;
    flex-direction: column;
}

.promo-active .item-promo-label {
    border-radius: 999px;
    padding: 0 8px;
    color: var(--White, #FFF);
    font-family: "ABCSOCIAL";
    font-size: 16px;
    font-weight: 500;
    line-height: 1.68;
    text-transform: uppercase;
    background: #F68D20;
}

.promo-active input[type="checkbox"],
.promo-active input[type="radio"] {
    margin: 0;
    border-color: #000;
}

.promo-active input[type="checkbox"]:checked::before,
.promo-active input[type="radio"]:checked::before {
    transform: scale(1.2)
}

.promo-active .item-label .label-save {
    color: var(--Secondary, #696C70);
    font-family: "Instrument Sans";
    font-size: 14px;
    font-weight: 400;
    line-height: 1;
}

.promo-active .item-price {
    margin-left: auto;
}

.promo-active .woocommerce-Price-amount {
    font-weight: 500;
    font-family: "ABCSOCIAL";
}

.promo-active form.variations_form.cart .single_variation_wrap {
    margin-bottom: 0;
}

.promo-active .pls-product-compare-share-wrap {
    margin-bottom: 0;
    padding-bottom: 0;
}

.woocommerce .promo-active div.summary form.cart:not(.variations_form),
.woocommerce .promo-active div.summary form.variations_form.cart .woocommerce-variation-add-to-cart {
    align-items: center;
    gap: 16px;
    justify-content: space-between;
}

.promo-active div.summary form.cart .button {
    min-width: 100%;
}

.needs-more-wrapper-outer {
    display: flex;
    align-items: center;
    gap: 16px;
}

.needs-more-wrapper {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.needs-more-wrapper p {
    margin: 0;
    font-size: 14px;
    color: var(--Secondary, #696C70);
    font-weight: 400;
}

.needs-more-wrapper a {
    text-decoration: underline;
}

/* .cart:not(.needs-more) .needs-more-wrapper a {
    pointer-events: none;
} */

.cart.needs-more .needs-more-wrapper>p,
.cart.needs-more .needs-more-wrapper-outer .item-promo-label {
    display: none;
}

@media (max-width:991px) {

    .promo-active form.variations_form.cart .woocommerce-variation-add-to-cart,
    .promo-active .bulk-pricing {
        gap: 12px;
    }

    .promo-active form.cart {
        gap: 8px;
    }

    .promo-active .bulk-pricing-wrapper>label {
        padding: 16px 8px;
    }

    .promo-active .item-promo-label,
    .promo-active .bulk-pricing a,
    .promo-active .bulk-item-content,
    .promo-active .bulk-item-content {
        font-size: 12px;
    }

    .promo-active .item-label .label-save {
        font-size: 10px;
    }

    .woocommerce div.summary form.variations_form.cart .woocommerce-variation-add-to-cart {
        flex-direction: column;
        align-items: flex-end;
    }

    .promo-active .cart:not(.needs-more) .single_variation_wrap .quantity[style="display: block;"],
    .promo-active .cart:not(.needs-more) .single_variation_wrap .quantity {
        margin-left: auto;
        margin-right: 0;
    }

    .promo-active .cart.variations_form:not(.needs-more) .button {
        width: 100%;
        display: flex;
        flex: 1 auto;
        margin: 0;
    }
}

@media (max-width:768px) {

    body.single-product div.summary form.cart .button {
        position: fixed;
        bottom: 16px;
        width: 100%;
        left: 16px;
        right: 16px;
        max-width: calc(100% - 32px);
        z-index: 999;
    }

    .promo-active div.summary form.cart .button {
        min-width: auto;
    }
}

/* promo-active  */

@media (max-width: 991px) {
    .description-content {
        max-height: 600px;
        overflow: hidden;
        position: relative;
        transition: max-height 0.3s ease;
    }

    .single-product .product-excerpt p {
        font-size: 12px;
        font-weight: 400;
        color: var(--Secondary, #696C70);
    }

    .description-content.expanded {
        max-height: none;
    }

    #readMoreDescription {
        display: block;
        text-align: center;
        font-weight: 500;
        color: var(--Secondary, #696C70);
        font-family: "ABCSOCIAL";
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 22px;
        text-decoration-line: underline;
    }

    .d-none-m {
        display: none;
    }

    .pls-product-compare-share-wrap {
        display: none !important;
    }

    .pls-policy-item-name {
        font-size: 1rem;
    }

    .pls-single-product-page div.summary {
        border-bottom: 1px solid var(--line, #E9E9E9);
        padding-bottom: 1rem;
        color: #1F1F1F;
    }

    .pls-single-product-page .pls-single-product-wrapper {
        margin-bottom: 2rem !important;
    }

    div.summary .woocommerce-product-details__short-description {
        border: 0 !important;
        margin: 0 !important;
    }

    .product-title-wrapper {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 8px;
    }

    .product-title-wrapper h1 {
        margin: 0;
    }

    .pls-whishlist-btn {
        font-size: 0;
        border-top: var(--pls-border-top);
        border-right: var(--pls-border-right);
        border-bottom: var(--pls-border-bottom);
        border-left: var(--pls-border-left);
        border-radius: var(--pls-border-radius);
        font-size: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 48px;
        width: 48px;
        transition: background .3s ease, color .3s ease, border .3s ease;
    }

    .pls-whishlist-btn a::before {
        transition: background .3s ease, color .3s ease, border .3s ease;
    }

    .pls-whishlist-btn:hover {
        background-color: var(--pls-secondary-color);
        color: var(--pls-secondary-inverse-color);
        border-color: var(--pls-secondary-color);
    }

    .pls-whishlist-btn:hover a::before {
        color: var(--pls-secondary-inverse-color);
    }

    .pls-single-product-title {
        margin-bottom: 20px !important;
    }

    .product-gallery-column-2 .pls-single-product-gallery {
        display: flex !important;
        width: 100% !important;
        gap: 0 !important;
    }

    .single-product:not(.product-gallery-horizontal) .pls-single-product-gallery>div {
        overflow: initial !important;
    }

    .woocommerce div.product div.images .woocommerce-product-gallery__wrapper {
        margin-left: -20px !important;
        margin-right: -20px !important;
        padding-left: 20px !important;
        padding-right: 0 !important;
    }

    form.cart .single_add_to_cart_button {
        position: sticky;
        bottom: 20px;
    }
}

@media (max-width:768px) {
    .cross-sells .products.grid-view.product-style-1 .swiper-slide .pls-product-actions a {
        font-size: 14px !important;
    }

    .products.grid-view.product-style-1 .swiper-slide .pls-product-actions a {
        font-size: 10px !important;
    }

    .pls-single-product-top {
        margin-top: 0;
    }

    .pls-single-product-gallery img.wp-post-image {
        aspect-ratio: 268 / 300;
        object-fit: cover;
        height: 100%;
    }

    .woocommerce-product-details__short-description {
        padding-bottom: 0.5rem;
    }

    .my-variation-note {
        font-weight: 500;
    }

    .woocommerce-product-details__short-description p {
        margin-bottom: 0;
    }

    .woocommerce-product-details__short-description .product-card-link {
        display: none;
    }

    .variations_form label {
        font-size: 12px;
    }
}

/* karta produktu */

/* koszyk */

.woocommerce-cart-wrapper {
    flex-wrap: wrap;
}

.woocommerce-cart-wrapper .cross-sells {
    width: 100%;
    display: block;
}

.woocommerce-cart-wrapper .actions .coupon .button {
    background-color: var(--pls-button-color);
    color: var(--pls-button-bg-color);
}

.woocommerce-cart-wrapper .actions .coupon .button:hover {
    color: var(--pls-button-color);
    background-color: var(--pls-button-bg-color);
}

.cross-sells {
    display: none;
}

.cross-sells .pls-product-icons {
    display: none !important;
}

@media (min-width:1025px) {
    .cart-collaterals {
        flex: 1 1 30% !important;
    }
}

@media (max-width:1024px) {
    .woocommerce-cart-wrapper .woocommerce-cart-form {
        order: 0;
    }

    .woocommerce-cart-wrapper .cross-sells {
        order: 1;
    }

    .woocommerce-cart-wrapper .cart-collaterals {
        order: 2;
    }

    .cross-sells .products.grid-view.product-style-1 .pls-product-actions a {
        padding: 2px 12px !important;
    }

    .cross-sells .products.grid-view:not(.product-style-5) .pls-product-actions {
        bottom: 16px !important;
    }
}

@media (max-width:768px) {
    body.woocommerce-cart .products.grid-view.product-style-1 .swiper-slide .pls-product-actions a {
        font-size: 0 !important;
        gap: 0 !important;
        justify-content: center !important;
        width: auto !important;
    }
}

/* koszyk */

/* checkout */

.payment-safe {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 8px;
    margin-top: 8px;
}

.payment-safe svg {
    max-width: 18px;
    height: auto;
}

.payment-safe p {
    margin: 0;
    font-size: 14px;
    color: #000;
}

.shipping-method-logo {
    width: 48px;
    height: auto;
}

.woocommerce ul#shipping_method li {
    display: flex;
    align-items: center;
}

.woocommerce ul#shipping_method li label {
    display: flex !important;
    align-items: center;
    gap: 8px;
    flex-wrap: wrap;
    width: 100%;
}

.woocommerce ul#shipping_method input[type="checkbox"],
.woocommerce ul#shipping_method input[type="radio"] {
    min-width: 18px;
}

#checkout-loading-overlay {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.65);
    z-index: 999999;
    justify-content: center;
    align-items: center;
    text-align: center;
}

#checkout-loading-overlay .loader-box {
    background: #fff;
    padding: 25px 35px;
    border-radius: 12px;
}

#checkout-loading-overlay .spinner {
    width: 32px;
    height: 32px;
    border: 4px solid #ddd;
    border-top-color: #444;
    border-radius: 50%;
    margin: 0 auto 16px auto;
    animation: spinning 0.7s linear infinite;
}

@keyframes spinning {
    to {
        transform: rotate(360deg);
    }
}

#checkout-loading-overlay p {
    margin: 0;
    font-size: 16px;
}


@media (max-width:767px) {
    .checkout.woocommerce-checkout .wc-btn-order {
        margin-bottom: 15px;
    }

    .payment-safe {
        position: fixed;
        bottom: 0;
        z-index: 999;
        width: 100%;
    }
}

@media (max-width:360px) {
    .payment-safe p {
        font-size: 12px;
    }
}

/* checkout */

/* minicart */

.pls-minicart-action-btns {
    display: none !important;
}

.pls-custom-delivery-bar {
    border-radius: 8px;
    background: var(--Primary, #D2EF9A);
    padding: 10px 20px;
    display: flex;
    align-items: center;
    gap: 12px;
    margin: 0.75rem 2.25rem;
}

.pls-custom-delivery-bar .pls-custom-bar-icon {
    font-size: 28px;
    width: 28px;
    height: 26px;
    display: flex;
    align-items: center;
    line-height: 1;
    justify-content: center;
}

.pls-custom-delivery-bar p {
    margin: 0;
    color: var(--On-Surface, #1F1F1F);
    font-family: "Instrument Sans";
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
}

.pls-custom-delivery-bar p span {
    color: var(--Critical, #DB4444);
    font-weight: 600;
    text-transform: uppercase;
}

.freeshipping-bar {
    border-radius: 40px;
    border: 1px solid #FF8941;
    background: #FFF !important;
}

.freeshipping-bar .pls-progress-bar {
    height: 16px !important;
    background: linear-gradient(90deg, #FF9C60 0%, #FF7C2C 100%);
}

.freeshipping-bar .pls-progress-bar::after {
    display: none;
    content: none;
}

.minicart_table.has-pls-minicart-items {
    display: none;
}

.pls-minicart-items .cross-sells {
    display: block;
    padding-left: 16px;
    padding-right: 16px;
}

.pls-minicart-items .cross-sells h2 {
    font-size: 24px;
}

.pls-minicart-items .cross-sells .pls-slider-prev {
    left: -0.5rem;
}

.pls-minicart-items .cross-sells .pls-slider-next {
    right: -0.5rem;
}

.pls-minicart-items .cross-sells .products .pls-product-image img {
    height: 200px;
}

.pls-minicart-items .cross-sells .pls-product-actions {
    transform: translateY(0) !important;
    opacity: 1 !important;
    visibility: visible !important;
    z-index: 9 !important;
    bottom: 12px !important;
}

.pls-minicart-items .cross-sells .pls-product-icons {
    display: none !important;
}

.pls-minicart-items .cross-sells .products .pls-product-actions a {
    padding: 2px 12px !important;
    font-size: 0 !important;
    line-height: 1 !important;
    width: auto !important;
}

@media (min-width:768px) {

    .pls-minicart-items .cross-sells .products .pls-product-actions a {
        gap: 0 !important;
    }
}


@media (max-width:768px) {
    .pls-custom-delivery-bar {
        margin: 0.75rem 1.5rem;
    }
}

/* minicart */

/* footer */

footer .footer-widget a img {
    max-height: 27px;
}

footer .features-wrapper {
    display: flex;
    gap: 20px;
}

footer .single-feature {
    width: calc(33.33333333% - 14px);
    display: flex;
    flex-direction: column;
    gap: 8px;
}

footer .single-feature svg {
    min-width: 40px;
    max-width: 40px;
    width: 100%;
    height: auto;
}

footer .feature-icon {
    display: flex;
    align-items: center;
}

footer .single-feature span {
    color: #1F1F1F;
    font-family: "ABCSOCIAL";
    font-weight: 500;
    display: block;
}

footer .feature-title {
    font-size: 14px;
    text-transform: uppercase;
    line-height: 1.2;
}

footer .feature-text {
    font-size: 12px;
    line-height: 0.9;
}

@media (min-width:991px) {
    footer .footer-widget:nth-child(2) {
        flex: 0 0 20%;
        max-width: 20%;
    }

    footer .footer-widget:nth-child(3) {
        flex: 0 0 40%;
        max-width: 40%;
    }

    footer .footer-widget:nth-child(4) {
        flex: 0 0 15%;
        max-width: 15%;
    }
}


@media (min-width:576px) and (max-width:991px) {
    footer .footer-widget.col-sm-6 {
        flex: 0 0 100%;
        max-width: 100%;
    }
}


@media (max-width:768px) {
    footer .single-feature {
        gap: 6px;
    }

    footer .feature-title {
        font-size: 12px;
    }

    footer .feature-text {
        font-size: 10px;
    }

}

/* footer */


/* nav */

/* temp hidden subnav */

.mobile-main-menu li.item-level-0.menu-item-has-children>a::after {
    top: 50% !important;
    right: 15px !important;
    content: '' !important;
}

/* nav */

/* chat */

@media (max-width:991px) {

    .thulium-chat-frame-wrapper,
    body.archive.woocommerce-page .thulium-chat-frame-wrapper,
    body.post-type-archive-product .thulium-chat-frame-wrapper,
    body.woocommerce-shop .thulium-chat-frame-wrapper,
    body.woocommerce-checkout .thulium-chat-frame-wrapper,
    body.woocommerce-cart .thulium-chat-frame-wrapper {
        display: none !important;
    }
}

/* chat */

/* other */

@media (max-width:1024px) {
    .pls-mobile-bottom-navbar .pls-mobile-navbar {
        display: none !important;
    }
}

/* buttons unification */

.wp-block-button__link,
.products.grid-view .pls-product-actions a,
.products.list-view .pls-cart-button a {
    border-radius: var(--pls-border-radius) !important;
}

/* buttons unification */

/* topbar */

.pls-header-topbar.header-top-middle {
    background-color: #222 !important;
    color: #fff !important;
    font-family: "ABCSOCIAL" !important;
    font-size: 16px;
    font-weight: 500;
}

.pls-header-topbar.header-top-middle * {
    color: inherit !important;
}

@media (max-width:767px) {
    .pls-header-topbar.header-top-middle {
        font-size: 12px;
    }
}

/* topbar */

/* breadcrumb */

.pls-single-product-top .entry-breadcrumb {
    white-space: nowrap;
    overflow-x: auto;
    width: 100%;
    max-width: 991px;
    padding-right: 30px;
}

.entry-breadcrumb a {
    color: var(--pls-text-color) !important;
}

.entry-breadcrumb a:hover,
.entry-breadcrumb span {
    color: var(--pls-link-color) !important;
}

/* breadcrumb */

@media (max-width:767px) {
    .pls-page-title {
        margin-bottom: 0.5rem;
    }

    body .pls-products-header,
    .order_review_heading {
        margin-bottom: 0 !important;
    }
}

/* other */